Package it.ernytech.tdlib

## Class TdApi.InputMessageDocument

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageDocument

Enclosing class:
  TdApi

    public static class TdApi.InputMessageDocument
    extends TdApi.InputMessageContent

A document message (general file).

### Field Summary

Fields
`TdApi.FormattedText` `caption` Document caption; 0-200 characters.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InputFile` `document` Document to be sent.
`TdApi.InputThumbnail` `thumbnail` Document thumbnail, if available.

### Constructor Summary

Constructors
`InputMessageDocument()` Default constructor.
`InputMessageDocument​(TdApi.InputFile document, TdApi.InputThumbnail thumbnail, TdApi.FormattedText caption)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### document

    public TdApi.InputFile document

Document to be sent.

#### thumbnail

    public TdApi.InputThumbnail thumbnail

Document thumbnail, if available.

#### caption

    public TdApi.FormattedText caption

Document caption; 0-200 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageDocument

    public InputMessageDocument()

Default constructor.

#### InputMessageDocument

    public InputMessageDocument​(TdApi.InputFile document,
                                TdApi.InputThumbnail thumbnail,
                                TdApi.FormattedText caption)

Constructor for initialization of all fields.

Parameters:
  `document` - Document to be sent.
  `thumbnail` - Document thumbnail, if available.
  `caption` - Document caption; 0-200 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR